DST=/etc/network/interfaces
S91=/etc/init.d/S91upNetworkDreamkas

if [ -n "$1" ]; then
    MAC=$(echo "$1" | grep -o -E '([[:xdigit:]]{1,2}:){5}[[:xdigit:]]{1,2}')
    if [ ${#MAC} == 0 ]; then 
        echo "MAC IS INVALID!"
    else
        if [ -f $DST ]; then
            echo "NEW MAC ADDRESS : "$MAC
	    sed -i "/hwaddress ether/d" "$DST"
            echo "hwaddress ether "$MAC >> $DST
            if [ -f $S91 ]; then
                sed -i "/cash fiscat/d" "$S91"   
            fi
            exit 0
        fi
    fi
fi
exit 1


